; SPC700 opcodes 0xF0-0xFF:
;    F0: BEQ rel         2,2/4
;    F1: TCALL 15        1,8
;    F2: CLR1 dp.7       2,4
;    F3: BBC dp.7,rel    3,5/7
;    F4: MOV A,dp+X      2,4
;    F5: MOV A,labs+X    3,5
;    F6: MOV A,labs+Y    3,5
;    F7: MOV A,(dp)+Y    2,6
;    F8: MOV X,dp        2,3
;    F9: MOV X,dp+Y      2,4
;    FA: MOV dp(d),dp(s) 3,5
;    FB: MOV Y,dp+X      2,4
;    FC: INC Y           1,2
;    FD: MOV Y,A         1,2
;    FE: DBNZ Y,rel      2,4/6
;    FF: STOP            1,3
;

; F0
SPC_BFS BEQ,SPC_FLAG_Z
; F1
TCALL 15
; F2 - SPC_CLR1 in SPCmain.S
; F3 - SPC_BBC in SPCmain.S
; F4
SPC_MOV_A_mem Odp_XO
; F5
SPC_MOV_A_mem Oabs_XO
; F6
SPC_MOV_A_mem Oabs_YO
; F7
SPC_MOV_A_mem OOdpO_YO
; F8
SPC_MOV_X_mem dp
; F9
SPC_MOV_X_mem Odp_YO
; FA

ALIGNC
SPC_MOV_dp_dp:
 ADDR_dp_dp al  ; al is (s), bx d
 SET_BYTE_SPC
 jmp SPC_BACK

; FB
SPC_MOV_Y_mem Odp_XO
; FC
SPC_INC_reg Y
; FD
SPC_MOV_reg_reg Y,A
; FE

ALIGNC
SPC_DBNZ_Y:
 dec byte B_Y
 jz .not_taken
 movsx eax,byte [1+R_NativePC] ; sign extend for addition
 add R_Cycles,byte 2    ; Branch taken
 add R_NativePC,eax
;add dword [_TotalCycles],byte 2    ; (0.32) Butcha - fix 'lost' SPC timer ticks!
.not_taken:
 add R_NativePC,byte 2
 jmp SPC_BACK

; FF

ALIGNC
SPC_STOP:
 jmp SPC_BACK       ; What else can stop do?
