; 65c816 opcodes 0xB0-0xBF:
;    B0: BCS r       2,2
;    B1: LDA (d),y   2,5
;    B2: LDA (d)     2,5
;    B3: LDA (d,s),y 2,7
;    B4: LDY d,x     2,4
;    B5: LDA d,x     2,4
;    B6: LDX d,y     2,4
;    B7: LDA [d],y   2,6
;    B8: CLV i       1,2
;    B9: LDA a,y     3,4
;    BA: TSX i       1,2
;    BB: TYX i       1,2
;    BC: LDY a,x     3,4
;    BD: LDA a,x     3,4
;    BE: LDX a,y     3,4
;    BF: LDA al,x    4,5

; B0
BFS BCS,SNES_FLAG_C

; B1
EM_LDA OdO_y,Direct_Indirect_Indexed
E0_LDA OdO_y,Direct_Indirect_Indexed

; B2
EM_LDA OdO,Direct_Indirect
E0_LDA OdO,Direct_Indirect

; B3
EM_LDA Od_sO_y,Stack_Relative_Indirect_Indexed
E0_LDA Od_sO_y,Stack_Relative_Indirect_Indexed

; B4
EX_LDY d_x,Direct_Index_X
E0_LDY d_x,Direct_Index_X

; B5
EM_LDA d_x,Direct_Index_X
E0_LDA d_x,Direct_Index_X

; B6
EX_LDX d_y,Direct_Index_Y
E0_LDX d_y,Direct_Index_Y

; B7
EM_LDA IdI_y,Direct_Indirect_Indexed_Long
E0_LDA IdI_y,Direct_Indirect_Indexed_Long

; B8

ALIGNC
ALL_CLV:
 inc R_NativePC
 CLR_FLAG SNES_FLAG_V
 jmp near CPU_RETURN

; B9
EM_LDA a_y,Absolute_Index_Y
E0_LDA a_y,Absolute_Index_Y

; BA

ALIGNC
EX_TSX:
 inc R_NativePC
 mov al,B_S
 mov B_X,al
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN
ALIGNC
E0_TSX:
 inc R_NativePC
 mov eax,B_S
 mov B_X,eax
;test ax,ax
 shl eax,16
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; BB

ALIGNC
EX_TYX:
 inc R_NativePC
 mov al,B_Y
 mov B_X,al
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN
ALIGNC
E0_TYX:
 inc R_NativePC
 mov eax,B_Y
 mov B_X,eax
;test ax,ax
 shl eax,16
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; BC
EX_LDY a_x,Absolute_Index_X
E0_LDY a_x,Absolute_Index_X

; BD
EM_LDA a_x,Absolute_Index_X
E0_LDA a_x,Absolute_Index_X

; BE
EX_LDX a_y,Absolute_Index_Y
E0_LDX a_y,Absolute_Index_Y

; BF
EM_LDA al_x,Absolute_Long_Index_X
E0_LDA al_x,Absolute_Long_Index_X
